//
//	Class definition for Update Stats Dialog class
//

#ifndef THE_UPDATE_STATS_DIALOG_H
#define THE_UPDATE_STATS_DIALOG_H

#include "ldwTiledDialog.h"

class CHighScore;
class CScore;
class ldwImageGrid;

class theUpdateStatsDlg : public ldwTiledDialog
{
public:

	theUpdateStatsDlg(ldwUINT32 &score_id,const char* name, ldwUINT32 score, ldwUINT32 hours_played, ldwUINT32 pointsEarned, ldwUINT32 babiesMade,
                ldwUINT32 foodGathered, ldwUINT32 peepsCured, ldwUINT32 crabsFound, ldwUINT32 maxPop, ldwUINT32 peepsDied,
                ldwUINT32 oldestVillager, ldwUINT32 numCrisis, ldwUINT32 twinsBirthed,ldwUINT32 tripletsBirthed,
                ldwUINT32 starttime, ldwUINT32 version, ldwUINT32 global_regtime, const char* reg_name, ldwUINT32 puzzlesSovled);

	~theUpdateStatsDlg();

	int  GetResult();

	bool HandleKey(int messageId,int keyCode,int character);
	bool HandleMessage(int messageId,long data);
	
	CScore *GetScore();

protected:

	enum { eCancelButtonId = 1};

	void UpdateScene();
	void DrawNoFadeScene();

	ldwImageGrid *mTiles;

	CHighScore *mHighScore;

	bool mQueryInProgress;
	bool mFinished;
	int  mResult;
};

#endif
