//
//		Definition of the main game class
//
#ifndef THE_WAVES_CLASS_H
#define THE_WAVES_CLASS_H
#include "ldwGameWindow.h"


class theGameState;

//CLASS DEFINES


//...typedefs etc






typedef struct 
{
	bool exists;
	int degreesIn;
	long double radiansIn;
	long double output1;
	ldwUINT32 waveRedrawTimer;

}wave2Type;
//END DEFINES

//BEGIN CLASS DECLARATION
class theWavesClass 
{
public:

	static theWavesClass * Get();
	static void Destroy();
    void UpdatePulsingWave();
	void UpdateCosSinWave();
	void waveWiggleDraw();
	void waveAlphaDraw(ldwImage *image, ldwPoint pos);
	long double GetOutput();
	void ResetWaves();
	void SetDegreesIn(int degrees);
	void SetWaveRedrawTimer(int ms);
	ldwGameWindow      *gameWindow;
	bool waveTimer1(int timeMS);
protected:
	
	theWavesClass();
	~theWavesClass();


	static theWavesClass *mInstance;

private:
	wave2Type waves;

};
#endif